package com.example.xavierferraronsserra.sobreruedas;

import android.content.Context;
import android.content.Intent;
import android.location.Location;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.widget.Toolbar;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * Created by xavierferraronsserra on 31/3/18.
 */

public class InformarDireccionActivity extends SingleFragmentActivity {

    @BindView(R.id.toolbar)
    Toolbar mToolbar;

    public static final String EXTRA_LOCATION = "com.example.xavierferraronsserra.sobreruedas.user_location";

    public static Intent newIntent(Context packageContext, double[] location) {
        Intent intent = new Intent(packageContext, InformarDireccionActivity.class);
        intent.putExtra(EXTRA_LOCATION, location);
        return intent;
    }

    @Override
    protected Fragment createFragment() {
        double[] location = getIntent().getDoubleArrayExtra(EXTRA_LOCATION);
        return  InformarDireccionFragment.newInstance(location);
    }

    @Override
    protected int getLayoutResId() {
        return R.layout.activity_menu_fragment;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ButterKnife.bind(this);

        setSupportActionBar(mToolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setTitle(R.string.inform_address);
    }

}
