package com.example.xavierferraronsserra.sobreruedas.Model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by xavierferraronsserra on 10/4/18.
 */

public class Agrupation implements Parcelable{

    private String descripcion;
    private String id;
    private boolean active;

    public Agrupation(){

    }

    public Agrupation(String descripcion) {
        this.descripcion = descripcion;
    }

    public Agrupation(String id, String descripcion) {
        this.id=id;
        this.descripcion = descripcion;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    @Override
    public String toString() {
        return descripcion;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(descripcion);
        dest.writeString(id);
        dest.writeByte((byte) (this.active?1:0));
     }

    protected Agrupation(Parcel in){
        this.descripcion=in.readString();
        this.id=in.readString();
        this.active = in.readByte() !=0;
    }

    public static final Creator<Agrupation> CREATOR = new Creator<Agrupation>() {
        public Agrupation createFromParcel(Parcel source) {
            return new Agrupation(source);
        }
        public Agrupation[] newArray(int size) {
            return new Agrupation[size];
        }
    };

    @Override
    public boolean equals(Object obj) {
        if (obj == this) return true;
        if (!(obj instanceof Agrupation)) {
            return false;
        }

        Agrupation  agrupation = (Agrupation) obj;

        return agrupation.id.equals(id);
    }
}
