package com.example.xavierferraronsserra.sobreruedas.Model;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.Date;

/**
 * Created by xavierferraronsserra on 8/5/18.
 */

public class Mensaje implements Parcelable{

    private String id_usuario;
    private String mensaje;
    private Date fecha;

    public Mensaje(String id_usuario, String mensaje, Date fecha) {
        this.id_usuario = id_usuario;
        this.mensaje = mensaje;
        this.fecha = fecha;
    }

    public String getId_usuario() {
        return id_usuario;
    }

    public void setId_usuario(String id_usuario) {
        this.id_usuario = id_usuario;
    }

    public String getMensaje() {
        return mensaje;
    }

    public void setMensaje(String mensaje) {
        this.mensaje = mensaje;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public Mensaje(Parcel in){
        this.id_usuario=in.readString();
        this.mensaje=in.readString();
        this.fecha=(Date)in.readSerializable();
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id_usuario);
        dest.writeString(this.mensaje);
        dest.writeSerializable(this.fecha);
    }

    public static final Parcelable.Creator<Mensaje> CREATOR = new Parcelable.Creator<Mensaje>() {
        public Mensaje createFromParcel(Parcel source) {
            return new Mensaje(source);
        }
        public Mensaje[] newArray(int size) {
            return new Mensaje[size];
        }
    };

}
