package com.example.xavierferraronsserra.sobreruedas.Model;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.firebase.firestore.GeoPoint;

import java.util.Date;
import java.util.List;

/**
 * Created by xavierferraronsserra on 8/5/18.
 */

public class Chat implements Parcelable {

    private String id_chat;
    private String id_usuario_orig;
    private String id_usuario_dest;
    private String id_anuncio;
    private Date fecha_ultimo_mensaje;

    public Chat(String id_usuario_orig, String id_usuario_dest, String id_anuncio, Date fecha_ultimo_mensaje) {
        this.id_usuario_orig = id_usuario_orig;
        this.id_usuario_dest = id_usuario_dest;
        this.id_anuncio = id_anuncio;
        this.fecha_ultimo_mensaje = fecha_ultimo_mensaje;
    }

    public String getId_chat() {
        return id_chat;
    }

    public void setId_chat(String id_chat) {
        this.id_chat = id_chat;
    }

    public String getId_usuario_orig() {
        return id_usuario_orig;
    }

    public void setId_usuario_orig(String id_usuario_orig) {
        this.id_usuario_orig = id_usuario_orig;
    }

    public String getId_usuario_dest() {
        return id_usuario_dest;
    }

    public void setId_usuario_dest(String id_usuario_dest) {
        this.id_usuario_dest = id_usuario_dest;
    }

    public String getId_anuncio() {
        return id_anuncio;
    }

    public void setId_anuncio(String id_anuncio) {
        this.id_anuncio = id_anuncio;
    }

    public Date getFecha_ultimo_mensaje() {
        return fecha_ultimo_mensaje;
    }

    public void setFecha_ultimo_mensaje(Date fecha_ultimo_mensaje) {
        this.fecha_ultimo_mensaje = fecha_ultimo_mensaje;
    }


    public Chat(Parcel in){
        this.id_chat=in.readString();
        this.id_usuario_orig=in.readString();
        this.id_usuario_dest=in.readString();
        this.id_anuncio= in.readString();
        this.fecha_ultimo_mensaje=(Date)in.readSerializable();
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id_chat);
        dest.writeString(this.id_usuario_orig);
        dest.writeString(this.getId_usuario_dest());
        dest.writeString(this.id_anuncio);
        dest.writeSerializable(this.fecha_ultimo_mensaje);
     }

    public static final Creator<Chat> CREATOR = new Creator<Chat>() {
        public Chat createFromParcel(Parcel source) {
            return new Chat(source);
        }
        public Chat[] newArray(int size) {
            return new Chat[size];
        }
    };

}
