package com.example.xavierferraronsserra.sobreruedas.Model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by xavierferraronsserra on 11/4/18.
 */

public class Foto implements Parcelable{

    private String url;
    private int position;


    public Foto() {

    }

    public Foto(String url, int position) {
        this.url = url;
        this.position = position;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.url);
        dest.writeInt(this.position);
    }

    protected Foto(Parcel in){
        this.url = in.readString();
        this.position = in.readInt();
    }

    public static final Creator<Foto> CREATOR = new Creator<Foto>() {
        public Foto createFromParcel(Parcel source) {
            return new Foto(source);
        }
        public Foto[] newArray(int size) {
            return new Foto[size];
        }
    };
}
