package com.example.xavierferraronsserra.sobreruedas;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.widget.Toolbar;

import com.example.xavierferraronsserra.sobreruedas.Model.Anuncio;
import com.example.xavierferraronsserra.sobreruedas.Model.Usuario;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * Created by xavierferraronsserra on 21/4/18.
 */

public class ModificarUsuarioActivity extends  SingleFragmentActivity {

        @BindView(R.id.toolbar)
        Toolbar mToolbar;

    public static final String EXTRA_USUARIO = "com.example.xavierferraronsserra.sobreruedas.usuario";

    public static Intent newIntent(Context packageContext, Usuario usuario) {
        Intent intent = new Intent(packageContext, ModificarUsuarioActivity.class);
        intent.putExtra(EXTRA_USUARIO, usuario);
        return intent;
    }


    @Override
        protected Fragment createFragment() {
        Usuario usuario = new Usuario();
        if(getIntent().getExtras()!=null){
                usuario =(Usuario)getIntent().getParcelableExtra(EXTRA_USUARIO);
            }
            return  RegistrarFragment.newInstance(usuario);
        }

        @Override
        protected int getLayoutResId() {
            return R.layout.activity_menu_fragment;
        }

        @Override
        protected void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);
            ButterKnife.bind(this);

            setSupportActionBar(mToolbar);
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
            getSupportActionBar().setTitle(R.string.register);
        }
}
